import React, { useState, useEffect } from "react";
import ReactDOM from "react-dom"; //import Button from "@material-ui/core/Button";

import { TextField, Delete, Button } from "@material-ui/core";
import axios from "axios";

function EntityDeploymentInfoTest(props) {
  const [entityDeploymentData, setEntityDeploymentData] = useState({
    entityName: "",
    entityType: "",
    entityBranchMappings: [{
      entityPatternName: "",
      entityDeploymentInfo: [{
        entityOrg: "",
        entityEnvironment: "",
        entityHost: ""
      }]
    }]
  }); //add pattern

  const addPattern = e => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings.push({
      entityPatternName: "",
      entityDeploymentInfo: [{
        entityOrg: "",
        entityEnvironment: "",
        entityHost: ""
      }]
    });
    setEntityDeploymentData(temp);
  }; //add org


  const addOrg = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo.push({
      entityOrg: "",
      entityEnvironment: "",
      entityHost: ""
    });
    setEntityDeploymentData(temp);
  }; //remove pattern


  const deletePattern = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings.splice(i, 1);
    setEntityDeploymentData(temp);
  }; //remove org


  const deleteOrg = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo.splice(j, 1);
    setEntityDeploymentData(temp);
  }; //entity name change


  const handleEntityNameChange = e => {
    let temp = { ...entityDeploymentData
    };
    temp[e.target.name] = e.target.value;
    setEntityDeploymentData(temp);
  }; //entity type change


  const handleEntityTypeChange = e => {
    let temp = { ...entityDeploymentData
    };
    temp[e.target.name] = e.target.value;
    setEntityDeploymentData(temp);
  }; //pattern name change


  const handlePatternNameChange = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i][e.target.name] = e.target.value;
    setEntityDeploymentData(temp);
  }; //org name change


  const handleEntityOrgChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityOrg = e.target.value;
    setEntityDeploymentData(temp);
  }; //environment name change


  const handleEntityEnvironmentChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityEnvironment = e.target.value;
    setEntityDeploymentData(temp);
  }; //vhost name change


  const handleEntityHostChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityHost = e.target.value;
    setEntityDeploymentData(temp);
  };

  const submit = e => {
    console.log(entityDeploymentData);
  };

  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "50px",
      width: "60%",
      margin: "auto"
    }
  }, /*#__PURE__*/React.createElement("h2", {
    style: {
      textAlign: "center",
      padding: "30px 0"
    }
  }, "Onboard Entity Deployment Info"), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityName",
    placeholder: "Entity Name",
    onChange: handleEntityNameChange,
    value: entityDeploymentData.entityName
  }), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityType",
    placeholder: "Entity Type",
    onChange: handleEntityTypeChange,
    value: entityDeploymentData.entityType
  }), entityDeploymentData.entityBranchMappings.map((branch, i) => /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "25px"
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      fontSize: "18px"
    }
  }, "Pattern: "), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityPatternName",
    placeholder: "Pattern Name",
    onChange: e => handlePatternNameChange(e, i),
    value: entityDeploymentData.entityBranchMappings[i].entityPatternName
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "contained",
    color: "secondary",
    style: {
      marginLeft: "10px"
    },
    onClick: e => deletePattern(e, i)
  }, "-Pattern"), branch.entityDeploymentInfo.map((host, j) => /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "10px"
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      fontSize: "18px"
    }
  }, "Deployment Info: "), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityOrg",
    placeholder: "Org Name",
    onChange: e => handleEntityOrgChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityOrg
  }), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityEnvironment",
    placeholder: "Environment Name",
    onChange: e => handleEntityEnvironmentChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityEnvironment
  }), /*#__PURE__*/React.createElement(TextField, {
    variant: "outlined",
    name: "entityHost",
    placeholder: "Vhost Name",
    onChange: e => handleEntityHostChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityHost
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "contained",
    color: "secondary",
    style: {
      marginLeft: "10px"
    },
    onClick: e => deleteOrg(e, i, j)
  }, "-Org"))), /*#__PURE__*/React.createElement(Button, {
    variant: "contained",
    color: "primary",
    onClick: e => addOrg(e, i)
  }, "+Org"))), /*#__PURE__*/React.createElement(Button, {
    variant: "contained",
    color: "primary",
    onClick: addPattern
  }, "+Pattern"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "contained",
    size: "large",
    color: "secondary",
    onClick: submit
  }, "Submit"));
}

export default EntityDeploymentInfoTest;