import React, { useState } from "react";
import ReactDOM from "react-dom";
import { Form, Row, Col, Button } from "react-bootstrap";

function OnboardOrgEnvTest(props) {
  const [orgEnvData, setOrgEnvData] = useState({
    orgName: "",
    credential: "",
    env: [{
      name: ""
    }]
  });

  const addEnv = e => {
    let temp = { ...orgEnvData
    };
    temp.env.push({
      name: ""
    });
    setOrgEnvData(temp);
  };

  const deleteEnv = (e, i) => {
    let temp = { ...orgEnvData
    };
    temp.env.splice(i, 1);
    setOrgEnvData(temp);
  }; //org name change


  const handleOrgNameChange = e => {
    let temp = { ...orgEnvData
    };
    temp[e.target.name] = e.target.value;
    setOrgEnvData(temp);
  }; //credential name change


  const handleCredentialChange = e => {
    let temp = { ...orgEnvData
    };
    temp[e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const handleEnvNameChange = (e, i) => {
    let temp = { ...orgEnvData
    };
    temp.env[i][e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const submit = e => {
    console.log(orgEnvData);
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Onboard Org & Env"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/onboard-entity-deployment-info"
  }, "Onboard Org & Env")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "orgName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Org ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "orgName",
    onChange: handleOrgNameChange,
    value: orgEnvData.orgName
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "credential"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Credential ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "credential",
    onChange: handleCredentialChange,
    value: orgEnvData.credential
  }))), /*#__PURE__*/React.createElement("p", null, "Add Environments:"), /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-org-info"
  }, orgEnvData.env.map((branch, i) => /*#__PURE__*/React.createElement("div", {
    className: "row org-env-button"
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "name",
    onChange: e => handleEnvNameChange(e, i),
    value: orgEnvData.env[i].name
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "secondary",
    onClick: e => deleteEnv(e, i)
  }, "-Env"))))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: addEnv
  }, "+Env"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: submit
  }, "Submit"))))))))));
}

export default OnboardOrgEnvTest;