import React, { useState } from "react";
import ReactDOM from "react-dom"; //import Button from "@material-ui/core/Button";
//import { TextField, Delete, Button } from "@material-ui/core";

import { Form, Row, Col, Button } from "react-bootstrap";

function OnboardOrgTest() {
  const [orgEnvData, setOrgEnvData] = useState({
    orgName: "",
    env: [{
      name: "",
      vhost: [""]
    }]
  });

  const addEnv = e => {
    let temp = { ...orgEnvData
    };
    temp.env.push({
      name: "",
      vhost: [""]
    });
    setOrgEnvData(temp);
  };

  const addVHost = (e, i) => {
    let temp = { ...orgEnvData
    };
    temp.env[i].vhost.push("");
    setOrgEnvData(temp);
  };

  const deleteEnv = (e, i) => {
    let temp = { ...orgEnvData
    };
    temp.env.splice(i, 1);
    setOrgEnvData(temp);
  };

  const deleteVHost = (e, i, j) => {
    let temp = { ...orgEnvData
    };
    temp.env[i].vhost.splice(j, 1);
    setOrgEnvData(temp);
  };

  const handleOrgNameChange = e => {
    let temp = { ...orgEnvData
    };
    temp[e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const handleEnvNameChange = (e, i) => {
    let temp = { ...orgEnvData
    };
    temp.env[i][e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const handleVHostNameChange = (e, i, j) => {
    let temp = { ...orgEnvData
    };
    temp.env[i].vhost[j] = e.target.value;
    setOrgEnvData(temp);
  };

  const submit = e => {
    console.log(orgEnvData);
  };

  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "50px",
      width: "60%",
      margin: "auto"
    }
  }, /*#__PURE__*/React.createElement("h2", {
    style: {
      textAlign: "center",
      padding: "30px 0"
    }
  }, "Onboard Org and Env"), /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    name: "orgName",
    placeholder: "Org Name",
    onChange: handleOrgNameChange,
    value: orgEnvData.orgName
  }), orgEnvData.env.map((branch, i) => /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "25px"
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      fontSize: "18px"
    }
  }, "Environment: "), /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    name: "name",
    placeholder: "Env Name",
    onChange: e => handleEnvNameChange(e, i),
    value: orgEnvData.env[i].name
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "secondary",
    onClick: e => deleteEnv(e, i)
  }, "-Env"), branch.vhost.map((host, j) => /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "10px"
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      fontSize: "18px"
    }
  }, "Virtual Host: "), /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    name: "vhost_name",
    placeholder: "Vhost Name",
    onChange: e => handleVHostNameChange(e, i, j),
    value: orgEnvData.env[i].vhost[j]
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "secondary",
    onClick: e => deleteVHost(e, i, j)
  }, "-Vh"))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: e => addVHost(e, i)
  }, "+Vh"))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: addEnv
  }, "+Env"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: submit
  }, "Submit"));
}

export default OnboardOrgTest;