import React, { useState, useEffect } from "react";
import ReactDOM from "react-dom"; //import Button from "@material-ui/core/Button";

import { useLocation } from "react-router-dom";
import { Form, Row, Col, Button } from "react-bootstrap";
import axios from "axios";

function UpdateEntityDeploymentInfoTest(props) {
  const location = useLocation();
  const [entityDeploymentData, setEntityDeploymentData] = useState({
    entityName: "",
    entityType: "",
    entityBranchMappings: [{
      entityPatternName: "",
      entityDeploymentInfo: [{
        entityOrg: "",
        entityEnvironment: "",
        entityHost: ""
      }]
    }]
  });
  useEffect(() => {
    console.log("p1", new URLSearchParams(location.search).get("entity_name"));
    console.log("p2", new URLSearchParams(location.search).get("param2"));
    console.log("p3", new URLSearchParams(location.search).get("param3"));
  }, []); //load existing entity details

  useEffect(() => {
    axios.get("https://configurator-api-m7mkmev5sq-uc.a.run.app/assets/sample").then(response => {
      setEntityDeploymentData({
        entityName: response.data.name,
        entityType: response.data.type,
        entityBranchMappings: response.data.branchMappings.map((bm, ix) => ({
          entityPatternName: bm.branchPattern,
          entityDeploymentInfo: bm.deploymentInfo.map((eid, idx) => ({
            entityOrg: eid.org,
            entityEnvironment: eid.env,
            entityHost: eid.host
          }))
        }))
      });
    });
  }, []); //add pattern

  const addPattern = e => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings.push({
      entityPatternName: "",
      entityDeploymentInfo: [{
        entityOrg: "",
        entityEnvironment: "",
        entityHost: ""
      }]
    });
    setEntityDeploymentData(temp);
  }; //add org


  const addOrg = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo.push({
      entityOrg: "",
      entityEnvironment: "",
      entityHost: ""
    });
    setEntityDeploymentData(temp);
  }; //remove pattern


  const deletePattern = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings.splice(i, 1);
    setEntityDeploymentData(temp);
  }; //remove org


  const deleteOrg = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo.splice(j, 1);
    setEntityDeploymentData(temp);
  }; //entity name change
  // const handleEntityNameChange = (e) => {
  //   let temp = { ...entityDeploymentData };
  //   temp[e.target.name] = e.target.value;
  //   setEntityDeploymentData(temp);
  // };
  //entity type change
  // const handleEntityTypeChange = (e) => {
  //   let temp = { ...entityDeploymentData };
  //   temp[e.target.name] = e.target.value;
  //   setEntityDeploymentData(temp);
  // };
  //pattern name change


  const handlePatternNameChange = (e, i) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i][e.target.name] = e.target.value;
    setEntityDeploymentData(temp);
  }; //org name change


  const handleEntityOrgChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityOrg = e.target.value;
    setEntityDeploymentData(temp);
  }; //environment name change


  const handleEntityEnvironmentChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityEnvironment = e.target.value;
    setEntityDeploymentData(temp);
  }; //vhost name change


  const handleEntityHostChange = (e, i, j) => {
    let temp = { ...entityDeploymentData
    };
    temp.entityBranchMappings[i].entityDeploymentInfo[j].entityHost = e.target.value;
    setEntityDeploymentData(temp);
  };

  const submit = e => {
    console.log(entityDeploymentData);
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Onboard Org & Env"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/onboard-entity-deployment-info"
  }, "Update Entity Deployment Info")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Entity Name ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "entityName",
    plaintext: true,
    readOnly: true // onChange={handleEntityNameChange}
    //value={entityDeploymentData.entityName}
    ,
    defaultValue: entityDeploymentData.entityName
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityType"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Entity Type ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "entityType",
    plaintext: true,
    readOnly: true // onChange={handleEntityTypeChange}
    // value={entityDeploymentData.entityType}
    ,
    defaultValue: entityDeploymentData.entityType
  }))), /*#__PURE__*/React.createElement("p", null, "Add/Update pattern information:"), entityDeploymentData.entityBranchMappings.map((branch, i) => /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-pattern-info"
  }, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityPatternName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Pattern Name", " ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "entityPatternName",
    onChange: e => handlePatternNameChange(e, i),
    value: entityDeploymentData.entityBranchMappings[i].entityPatternName
  }))), /*#__PURE__*/React.createElement(Button, {
    variant: "secondary",
    onClick: e => deletePattern(e, i)
  }, "-Pattern"), branch.entityDeploymentInfo.map((host, j) => /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-org-info"
  }, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityOrg"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Org ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement("div", {
    className: "row org-button"
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "entityOrg",
    onChange: e => handleEntityOrgChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityOrg
  }), /*#__PURE__*/React.createElement(Button, {
    variant: "secondary",
    onClick: e => deleteOrg(e, i, j)
  }, "-Org")))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityEnvironment"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Env ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "entityEnvironment",
    onChange: e => handleEntityEnvironmentChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityEnvironment
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "entityHost"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Host ", /*#__PURE__*/React.createElement("span", {
    className: "required"
  }, "*")), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "entityHost",
    onChange: e => handleEntityHostChange(e, i, j),
    value: entityDeploymentData.entityBranchMappings[i].entityDeploymentInfo[j].entityHost
  }))))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: e => addOrg(e, i)
  }, "+Org")))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: addPattern
  }, "+Pattern"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: submit
  }, "Submit"))))))))));
}

export default UpdateEntityDeploymentInfoTest;