import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";
import Alert from "react-bootstrap/Alert";
import axios from "axios";
import { useLocation } from "react-router-dom";

function UpdatePlanetOrgTest(props) {
  const location = useLocation();
  const [planetOrgInfoData, setPlanetOrgInfoData] = useState({
    id: "",
    orgName: "",
    credential: "",
    env: [{
      id: "",
      name: "",
      vhost: [{
        id: "",
        envName: "",
        name: "",
        protocol: "",
        port: "",
        cname: ""
      }]
    }]
  }); //load existing planet details

  useEffect(() => {
    axios.get(`https://configurator-api-m7mkmev5sq-uc.a.run.app/planet/${new URLSearchParams(location.search).get("planetId")}/orgs/${new URLSearchParams(location.search).get("orgId")}`).then(response => {
      setPlanetOrgInfoData({
        id: response.data.id,
        orgName: response.data.orgName,
        credential: response.data.mgmtServerLocation,
        env: response.data.env.map((ed, ix) => ({
          id: ed.id,
          name: ed.name,
          vhost: ed.vhost.map((vhd, idx) => ({
            id: vhd.id,
            envName: vhd.envName,
            name: vhd.name,
            protocol: vhd.protocol,
            port: vhd.port,
            cname: vhd.cname
          }))
        }))
      });
    });
  }, []); //planet org name change

  const handlePlanetOrgNameChange = e => {
    let temp = { ...planetOrgInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetOrgInfoData(temp);
  }; //planet org credential change


  const handlePlanetOrgCredentialChange = e => {
    let temp = { ...planetOrgInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetOrgInfoData(temp);
  };

  const submit = e => {
    console.log(planetOrgInfoData);
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Update Planet Org Info"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Update Planet Org Info")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "orgName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Org Name", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "orgName",
    onChange: handlePlanetOrgNameChange,
    value: planetOrgInfoData.orgName
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "credential"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Org Credential"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "credential",
    onChange: handlePlanetOrgCredentialChange,
    value: planetOrgInfoData.credential
  }))), /*#__PURE__*/React.createElement("p", null, "Environments"), planetOrgInfoData.env.map((envData, i) => /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-pattern-info"
  }, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "environmentName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Name"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "name",
    plaintext: true,
    readOnly: true,
    defaultValue: envData.name
  })), /*#__PURE__*/React.createElement("span", {
    className: "action-pad"
  }, /*#__PURE__*/React.createElement(Link, {
    to: `/update-planet-env-info?planetId=${new URLSearchParams(location.search).get("planetId")}&orgId=${planetOrgInfoData.id}&envId=${envData.id}`
  }, /*#__PURE__*/React.createElement(FaEdit, null)))), /*#__PURE__*/React.createElement("p", null, "VHost"), envData.vhost.map((vHData, idex) => /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-org-info"
  }, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "hostEnvName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Env Name"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "envName",
    plaintext: true,
    readOnly: true,
    defaultValue: vHData.envName
  })), /*#__PURE__*/React.createElement("span", {
    className: "action-pad"
  }, /*#__PURE__*/React.createElement(Link, {
    to: `/update-planet-host-info?vhostId=${vHData.id}`
  }, /*#__PURE__*/React.createElement(FaEdit, null)))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "hostName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Name"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "name",
    plaintext: true,
    readOnly: true,
    defaultValue: vHData.name
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "hostProtocol"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Protocol"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "protocol",
    plaintext: true,
    readOnly: true,
    defaultValue: vHData.protocol
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "hostPort"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Port"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "port",
    plaintext: true,
    readOnly: true,
    defaultValue: vHData.port
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "hostCName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "CName"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    className: "w-75",
    name: "cname",
    plaintext: true,
    readOnly: true,
    defaultValue: vHData.cname
  })))))))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: submit
  }, "Update"))))))))));
}

export default UpdatePlanetOrgTest;