import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";
import Alert from "react-bootstrap/Alert";
import axios from "axios";
import { useLocation } from "react-router-dom";

function UpdatePlanetTest(props) {
  const location = useLocation();
  const [planetInfoData, setPlanetInfoData] = useState({
    planetId: "",
    planetDesc: "",
    mgmtServerLocation: "",
    credential: "",
    orgs: [{
      id: "",
      orgName: "",
      credential: "",
      env: [{
        id: "",
        name: "",
        vhost: [{
          id: "",
          envName: "",
          name: "",
          protocol: "",
          port: "",
          cname: ""
        }]
      }]
    }]
  }); //load existing planet details

  useEffect(() => {
    axios.get(`https://configurator-api-m7mkmev5sq-uc.a.run.app/planet/${new URLSearchParams(location.search).get("planetId")}`).then(response => {
      setPlanetInfoData({
        planetId: response.data.planetId,
        planetDesc: response.data.planetDesc,
        mgmtServerLocation: response.data.mgmtServerLocation,
        credential: response.data.credential,
        orgs: response.data.orgs.map((od, idx) => ({
          id: od.id,
          orgName: od.orgName,
          credential: od.credential,
          env: od.env.map((envd, indx) => ({
            id: envd.id,
            name: envd.name,
            vhost: envd.vhost.map((vd, ixd) => ({
              id: vd.id,
              envName: vd.envName,
              name: vd.name,
              protocol: vd.protocol,
              port: vd.port,
              cname: vd.cname
            }))
          }))
        }))
      });
    });
  }, []); //planet description change

  const handlePlanetDescriptionChange = e => {
    let temp = { ...planetInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetInfoData(temp);
  }; //planet management server location change


  const handleMgmtServerLocationChange = e => {
    let temp = { ...planetInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetInfoData(temp);
  }; //planet credential change


  const handleCredentialChange = e => {
    let temp = { ...planetInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetInfoData(temp);
  };

  const submit = e => {
    console.log(planetInfoData);
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Update Planet"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Update Planet")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetDesc"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Planet Description", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "planetDesc",
    onChange: handlePlanetDescriptionChange,
    value: planetInfoData.planetDesc
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "mgmtServerLocation"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Management Server Location"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "mgmtServerLocation",
    onChange: handleMgmtServerLocationChange,
    value: planetInfoData.mgmtServerLocation
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "credential"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Credential"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "credential",
    onChange: handleCredentialChange,
    value: planetInfoData.credential
  }))), /*#__PURE__*/React.createElement("p", null, "Orgs"), /*#__PURE__*/React.createElement(Table, {
    className: "table table-bordered table-striped data_table table"
  }, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", {
    className: "text-center"
  }, /*#__PURE__*/React.createElement("th", {
    width: "50%"
  }, "Org Name"), /*#__PURE__*/React.createElement("th", {
    width: "50%"
  }, "Operations"))), /*#__PURE__*/React.createElement("tbody", {
    className: "data_table_scrollbar"
  }, planetInfoData.orgs.map((branch, i) => /*#__PURE__*/React.createElement("tr", {
    key: Math.random()
  }, /*#__PURE__*/React.createElement("td", {
    width: "50%",
    className: "table-content",
    key: branch + "orgName"
  }, branch.orgName), /*#__PURE__*/React.createElement("td", {
    width: "50%",
    className: "table-content",
    key: branch + "operations"
  }, /*#__PURE__*/React.createElement("span", {
    className: "action-pad"
  }, /*#__PURE__*/React.createElement(Link, {
    to: `/update-planet-org-info?planetId=${planetInfoData.planetId}&orgId=${branch.id}`
  }, /*#__PURE__*/React.createElement(FaEdit, null)))))))), /*#__PURE__*/React.createElement(Link, {
    to: "/onboard-planet-org"
  }, /*#__PURE__*/React.createElement(Button, {
    variant: "primary"
  }, "+ Add new org"))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: submit
  }, "Update"))))))))));
}

export default UpdatePlanetTest;