import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import Alert from "react-bootstrap/Alert";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";

function ListPlanetTest(props) {
  return (
    <section>
      <div className="developer-list-page">
        <div className="container">
          <div className="col-sm-12">
            <h2>List Planet</h2>
            <ul className="breadcrumb">
              <li className="breadcrumb-item">
                <a href="/">Home</a>
              </li>
              <li className="breadcrumb-item active">
                <a href="/saas-list-planet">List Planet</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <main id="main mt-5">
        <section id="subpage" className="wow fadeInUp">
          <div className="upload-swagger">
            <div className="container">
              <div className="row form-section nopadding">
                <div className="col-lg-3">{props.leftNavigation}</div>
                <div className="col-lg-9 col-sm-12 swag-border-left">
                  <div className="pageHeaders">
                    <Table className="table table-bordered table-striped data_table table">
                      <thead>
                        <tr className="text-center">
                          <th width="20%">Planet ID</th>
                          <th width="30%">Description</th>
                          <th width="30%">Orgs</th>
                          <th width="20%">Operations</th>
                        </tr>
                      </thead>
                      <tbody className="data_table_scrollbar">
                        {props.result &&
                          props.result.map((el, index) => (
                            <tr key={Math.random()}>
                              <td
                                width="20%"
                                className="table-content"
                                key={el + "planetId"}
                              >
                                {el.planetId}
                              </td>
                              <td
                                width="30%"
                                className="table-content"
                                key={el + "planetDescription"}
                              >
                                {el.planetDesc}
                              </td>

                              <td
                                width="30%"
                                className="table-content"
                                key={el + "planetOrgs"}
                              >
                                {el.orgs.map((elem, idx) => (
                                  <span>
                                    {elem.orgName}
                                    {<br />}{" "}
                                  </span>
                                ))}
                              </td>

                              <td
                                width="20%"
                                key={el + "action"}
                                className="table-content fedco-list-actions"
                              >
                                <span className="action-pad">
                                  <Link
                                    to={
                                      "/update-planet-info?planetId=" +
                                      el.planetId
                                    }
                                  >
                                    <FaEdit />
                                  </Link>
                                </span>
                              </td>
                            </tr>
                          ))}
                      </tbody>
                    </Table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </main>
    </section>
  );
}

export default ListPlanetTest;
