import React, { useState } from "react";
import ReactDOM from "react-dom";
//import Button from "@material-ui/core/Button";
//import { TextField, Delete, Button } from "@material-ui/core";
import { Form, Row, Col, Button } from "react-bootstrap";

function OnboardOrgTest() {
  const [orgEnvData, setOrgEnvData] = useState({
    orgName: "",
    env: [
      {
        name: "",
        vhost: [""],
      },
    ],
  });

  const addEnv = (e) => {
    let temp = { ...orgEnvData };
    temp.env.push({
      name: "",
      vhost: [""],
    });
    setOrgEnvData(temp);
  };

  const addVHost = (e, i) => {
    let temp = { ...orgEnvData };
    temp.env[i].vhost.push("");
    setOrgEnvData(temp);
  };

  const deleteEnv = (e, i) => {
    let temp = { ...orgEnvData };
    temp.env.splice(i, 1);
    setOrgEnvData(temp);
  };

  const deleteVHost = (e, i, j) => {
    let temp = { ...orgEnvData };
    temp.env[i].vhost.splice(j, 1);
    setOrgEnvData(temp);
  };

  const handleOrgNameChange = (e) => {
    let temp = { ...orgEnvData };
    temp[e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const handleEnvNameChange = (e, i) => {
    let temp = { ...orgEnvData };
    temp.env[i][e.target.name] = e.target.value;
    setOrgEnvData(temp);
  };

  const handleVHostNameChange = (e, i, j) => {
    let temp = { ...orgEnvData };
    temp.env[i].vhost[j] = e.target.value;
    setOrgEnvData(temp);
  };

  const submit = (e) => {
    console.log(orgEnvData);
  };

  return (
    <div style={{ padding: "50px", width: "60%", margin: "auto" }}>
      <h2 style={{ textAlign: "center", padding: "30px 0" }}>
        Onboard Org and Env
      </h2>
      <Form.Control
        type="text"
        name="orgName"
        placeholder="Org Name"
        onChange={handleOrgNameChange}
        value={orgEnvData.orgName}
      />
      {orgEnvData.env.map((branch, i) => (
        <div style={{ padding: "25px" }}>
          <span style={{ fontSize: "18px" }}>Environment: </span>
          <Form.Control
            type="text"
            name="name"
            placeholder="Env Name"
            onChange={(e) => handleEnvNameChange(e, i)}
            value={orgEnvData.env[i].name}
          />
          <Button
            variant="secondary"
            onClick={(e) => deleteEnv(e, i)}
          >
            -Env
          </Button>
          {branch.vhost.map((host, j) => (
            <div style={{ padding: "10px" }}>
              <span style={{ fontSize: "18px" }}>Virtual Host: </span>
              <Form.Control
                type="text"
                name="vhost_name"
                placeholder="Vhost Name"
                onChange={(e) => handleVHostNameChange(e, i, j)}
                value={orgEnvData.env[i].vhost[j]}
              />
              <Button
                variant="secondary"
                onClick={(e) => deleteVHost(e, i, j)}
              >
                -Vh
              </Button>
            </div>
          ))}
          <Button
            variant="primary"
            onClick={(e) => addVHost(e, i)}
          >
            +Vh
          </Button>
        </div>
      ))}
      <Button variant="primary" onClick={addEnv}>
        +Env
      </Button>{" "}
      <br />
      <br />
      <Button
        variant="primary"
        
        onClick={submit}
      >
        Submit
      </Button>
    </div>
  );
}

export default OnboardOrgTest;
