import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button } from "react-bootstrap";
import { Link, NavLink } from "react-router-dom";

function ViewEntityDeploymentInfoTest(props) {
  return (
    <section>
      <div className="developer-list-page">
        <div className="container">
          <div className="col-sm-12">
            <h2>View Entity Deployment Info</h2>
            <ul className="breadcrumb">
              <li className="breadcrumb-item">
                <a href="/">Home</a>
              </li>
              <li className="breadcrumb-item active">
                <a href="view/entity-deployment-info">
                  View Entity Deployment Info
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <main id="main mt-5">
        <section id="subpage" className="wow fadeInUp">
          <div className="upload-swagger">
            <div className="container">
              <div className="row form-section nopadding">
                <div className="col-lg-3">{props.leftNavigation}</div>
                <div className="col-lg-9 col-sm-12 swag-border-left">
                  <div className="pageHeaders">
                    <div>
                      <Form>
                        <Form.Group
                          as={Row}
                          controlId="viewEntityDeploymentInfoEntityName"
                        >
                          <Form.Label column sm={2}>
                            Entity name <span className="required">*</span>
                          </Form.Label>
                          <Col sm={10}>
                            <Form.Control
                              type="text"
                              className="w-75"
                              onChange={
                                props.viewEntityDeploymentInfoEntityNameChange
                              }
                            />
                          </Col>
                        </Form.Group>
                      </Form>
                      <div className="text-right">
                        <Link to={props.updateLinkUrl}>
                          <Button
                            variant="primary"
                            onClick={props.viewEntityDeploymentInfoSubmit}
                          >
                            View
                          </Button>
                        </Link>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </main>
    </section>
  );
}

export default ViewEntityDeploymentInfoTest;
